Loading...
Searching...
No Matches
Dune::PreconditionerWithUpdate< X, Y > Class Template Referenceabstract

Interface class adding the update() method to the preconditioner interface. More...

`#include <PreconditionerWithUpdate.hpp>`

Inheritance diagram for Dune::PreconditionerWithUpdate< X, Y >:

## Public Member Functions

virtual void | update ()=0
virtual bool | hasPerfectUpdate () const =0

## Detailed Description

template<class X, class Y>
class Dune::PreconditionerWithUpdate< X, Y >

Interface class adding the update() method to the preconditioner interface.

## Member Function Documentation

## hasPerfectUpdate()

template<class X, class Y>

virtual bool Dune::PreconditionerWithUpdate< X, Y >::hasPerfectUpdate | ( |  | ) | const

pure virtual

Implemented in Amgx::AmgxPreconditioner< M, X, Y >, and Hypre::HyprePreconditioner< M, X, Y, Comm >.

## update()

template<class X, class Y>

virtual void Dune::PreconditionerWithUpdate< X, Y >::update | ( |  | ) |

pure virtual

Implemented in Amgx::AmgxPreconditioner< M, X, Y >, Dune::Amg::AMGCPR< M, X, S, PI, A >, Dune::MultithreadDILU< M, X, Y >, Hypre::HyprePreconditioner< M, X, Y, Comm >, Opm::gpuistl::GpuDILU< CPUMatrixT, X, Y, l >, Opm::gpuistl::GpuJac< M, X, Y, l >, Opm::gpuistl::GpuSeqILU0< M, X, Y, l >, Opm::gpuistl::OpmGpuILU0< CPUMatrixT, X, Y, l >, Opm::gpuistl::PreconditionerAdapter< X, Y, CudaPreconditionerType >, and Opm::gpuistl::PreconditionerCPUMatrixToGPUMatrix< X, Y, CudaPreconditionerType, CPUMatrixType >.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/PreconditionerWithUpdate.hpp